# We don't build with Gnome support by default to avoid a GConf dependency.
# If you would like to set the Gnome background image with Viewnior, rebuild 
# the srpm with:
#   rpmbuild --rebuild --with-gnome viewnior-*-src.rpm

Name:           viewnior
Version:        0.7
Release:        1%{?dist}
Summary:        Elegant image viewer

Group:          User Interface/X
License:        GPLv3+
URL:            http://xsisqox.github.com/Viewnior
Source0:        http://cloud.github.com/downloads/xsisqox/Viewnior/%{name}-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel desktop-file-utils gettext intltool shared-mime-info
%if 0%{?_with_gnome:1}
BuildRequires:  GConf2-devel
%endif


%description 
Viewnior is an image viewer program. Created to be simple, fast and elegant. 
It's minimalistic interface provides more screenspace for your images. Among 
its features are:

* Fullscreen & Slideshow
* Rotate, flip, save, delete images
* Animation support
* Browse only selected images
* Navigation window
* Simple interface
* Configurable mouse actions


%prep
%setup -q
# fix spurious executable perms
chmod 0644 AUTHORS ChangeLog COPYING NEWS README TODO src/*


%build
%configure \
%if 0%{?_with_gnome:1}
   --enable-wallpaper
%endif

make %{?_smp_mflags} V=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/


%changelog
* Mon Sep 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.7-1
- Update to 0.7

* Sat Sep 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6-2
- Spec file cleanups from review.

* Mon Aug 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6-1
- Initial package
